<?xml version="1.0" encoding="UTF-8"?>
<apis>
    <api>
        <methodName>读取网站配置</methodName>
        <sort>2001</sort>
        <businessMethod>SiteConfig_Read</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
        </params>
    </api>

    <api>
        <methodName>保存网站配置</methodName>
        <sort>2002</sort>
        <businessMethod>SiteConfig_Save</businessMethod>
        <tokenFrom/>
        <pageFrom/>

        <paramOnly/>

        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>参数自行定义，例如"{\"siteName\":\"测试网站\",\"siteLogo\":\"https://asdfasdf.jpg\"}"</paramComment>
                <!-- 参数名称 -->
                <paramKey>参数自行定义</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>获取网站内容列表</methodName>
        <sort>2010</sort>
        <businessMethod>SiteContent_List</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
        </params>
        <webApiBean>com.sdtool.common.entity.site.SiteContent</webApiBean>
    </api>

    <api>
        <methodName>增加网站内容</methodName>
        <sort>2011</sort>
        <businessMethod>SiteContent_Add</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly>com.sdtool.common.entity.site.SiteContent</paramOnly>
        <params>
        </params>
        <webApiBean>com.sdtool.common.entity.site.SiteContent</webApiBean>
    </api>

    <api>
        <methodName>获取网站内容详情</methodName>
        <sort>2012</sort>
        <businessMethod>SiteContent_Get</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>内容id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean>com.sdtool.common.entity.site.SiteContent</webApiBean>
    </api>

    <api>
        <methodName>修改网站内容</methodName>
        <sort>2013</sort>
        <businessMethod>SiteContent_Update</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly>com.sdtool.common.entity.site.SiteContent</paramOnly>
        <params>
        </params>
        <webApiBean>com.sdtool.common.entity.site.SiteContent</webApiBean>
    </api>

    <api>
        <methodName>删除网站内容</methodName>
        <sort>2014</sort>
        <businessMethod>SiteContent_Delete</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>内容id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean>com.sdtool.common.entity.site.SiteContent</webApiBean>
    </api>

    <api>
        <methodName>获取网站内容详情(名称获取方式)</methodName>
        <sort>2015</sort>
        <businessMethod>SiteContent_Select</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>分组名称</paramComment>
                <!-- 参数名称 -->
                <paramKey>groupName</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>

            <param>
                <!-- 参数说明 -->
                <paramComment>标题</paramComment>
                <!-- 参数名称 -->
                <paramKey>caption</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
        <webApiBean>com.sdtool.common.entity.site.SiteContent</webApiBean>
    </api>
</apis>
